package com.steerinfo.task.taskconf.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;

public class TaskConf implements IBasePO<String> {
    /**
     * 定时任务ID(ID,VARCHAR,30)
     */
    @ApiModelProperty(value="定时任务ID",required=false)
    private String id;

    /**
     * 执行时间(CRON,VARCHAR,30)
     */
    @ApiModelProperty(value="执行时间",required=true)
    private String cron;

    /**
     * 状态0停止 1启动(STATUS,DECIMAL,38)
     */
    @ApiModelProperty(value="状态0停止 1启动",required=true)
    private BigDecimal status;

    /**
     * 描述(DESCRIPTION,VARCHAR,100)
     */
    @ApiModelProperty(value="描述",required=true)
    private String description;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.id;
    }

    @Override
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getCron() {
        return cron;
    }

    public void setCron(String cron) {
        this.cron = cron == null ? null : cron.trim();
    }

    public BigDecimal getStatus() {
        return status;
    }

    public void setStatus(BigDecimal status) {
        this.status = status;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", cron=").append(cron);
        sb.append(", status=").append(status);
        sb.append(", description=").append(description);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}